## gnome-print-copies gnome-print-copies |

## Functions

GtkWidget * | gnome_print_copies_selector_new ()
void | gnome_print_copies_selector_set_copies ()
gint | gnome_print_copies_selector_get_copies ()
gboolean | gnome_print_copies_selector_get_collate ()

## Properties

GnomePrintFilter * | filter | Read / Write

## Signals

void | collate-set | Run First
void | copies-set | Run First

## Types and Values

| GnomePrintCopiesSelector
| GnomePrintCopiesSelectorClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GtkVBox
                                ╰── GnomePrintCopiesSelector

## Implemented Interfaces

GnomePrintCopiesSelector implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### gnome_print_copies_selector_new ()

    GtkWidget *
    gnome_print_copies_selector_new (void);

Create a new GnomePrintCopies widget.

#### Returns

A new GnomePrintCopies widget.

### gnome_print_copies_selector_set_copies ()

    void
    gnome_print_copies_selector_set_copies
                                   (GnomePrintCopiesSelector *gpc,
                                    gint copies,
                                    gboolean collate);

### gnome_print_copies_selector_get_copies ()

    gint
    gnome_print_copies_selector_get_copies
                                   (GnomePrintCopiesSelector *gpc);

### gnome_print_copies_selector_get_collate ()

    gboolean
    gnome_print_copies_selector_get_collate
                                   (GnomePrintCopiesSelector *gpc);

## Types and Values

### GnomePrintCopiesSelector

    typedef struct _GnomePrintCopiesSelector GnomePrintCopiesSelector;

### GnomePrintCopiesSelectorClass

    typedef struct _GnomePrintCopiesSelectorClass GnomePrintCopiesSelectorClass;

## Property Details

### The `“filter”` property

      “filter”                   GnomePrintFilter *

Filter.

Flags: Read / Write

## Signal Details

### The `“collate-set”` signal

    void
    user_function (GnomePrintCopiesSelector *printcopiesselector,
                   gboolean                  arg1,
                   gpointer                  user_data)

#### Parameters

printcopiesselector | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run First

### The `“copies-set”` signal

    void
    user_function (GnomePrintCopiesSelector *printcopiesselector,
                   gint                      arg1,
                   gpointer                  user_data)

#### Parameters

printcopiesselector | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run First